slepc-3.10.1 2018-10-23
Report Typos and Errors

# EPSGetDimensions

Gets the number of eigenvalues to compute and the dimension of the subspace.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetDimensions(EPS eps,PetscInt *nev,PetscInt *ncv,PetscInt *mpd)

Not Collective

### Input Parameter

| eps | - the eigensolver context

### Output Parameters

| nev | - number of eigenvalues to compute
| ncv | - the maximum dimension of the subspace to be used by the solver
| mpd | - the maximum dimension allowed for the projected problem

### See Also

EPSSetDimensions()

Location: src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex1.c.html
src/eps/examples/tutorials/ex2.c.html
src/eps/examples/tutorials/ex3.c.html
src/eps/examples/tutorials/ex4.c.html
src/eps/examples/tutorials/ex5.c.html
src/eps/examples/tutorials/ex7.c.html
src/eps/examples/tutorials/ex9.c.html
src/eps/examples/tutorials/ex10.c.html
src/eps/examples/tutorials/ex11.c.html
src/eps/examples/tutorials/ex12.c.html
src/eps/examples/tutorials/ex13.c.html